> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Trade Providers

> Retrieves available trade provider identifiers.

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml get /v1/Trade/TradeProviders
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Trade/TradeProviders:
    get:
      tags:
        - TradeProvider
      summary: Gets the list of Trade Providers
      operationId: TradeProvider_GetTradeProviders
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_TradeProviderCollection_
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_TradeProviderCollection_
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_TradeProviderCollection_
            application/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_TradeProviderCollection_
            text/xml:
              schema:
                $ref: >-
                  #/components/schemas/APIResponseContainer_TradeProviderCollection_
      security:
        - Bearer: []
components:
  schemas:
    APIResponseContainer_TradeProviderCollection_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: array
          items:
            $ref: '#/components/schemas/APITradeProvider'
        ErrorCode:
          description: ''
          type: string
    APITradeProvider:
      type: object
      properties:
        TradeProviderId:
          format: int32
          description: TradeProviderId
          type: integer
        TradeProviderName:
          description: Name of the Trade Provider
          type: string
        CurrentTradeProvider:
          description: True if this is the currently selected Trade Provider
          type: boolean
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Enter the Session Key with the `Bearer ` prefix, e.g. "Bearer
        abcde12345".

````